projects
Scout API 1.0.0 — see schemas for shared types.
project-members
GET /api/projects/{project_id}/groups/{group_id}/members
list_project_team_group_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
group_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ UserResponseList- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/projects/{project_id}/members
list_project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ProjectMemberResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/projects/{project_id}/members
add_project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: AddProjectMembersBody
Responses
- 201 — Created
application/json→ AddProjectMembersResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/projects/{project_id}/members/{member_user_id}
remove_project_member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
member_user_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ DeleteProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/projects
get_projects
Responses
- 200 — OK
application/json→ ProjectResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/projects
create_project
Request body
Content-Type: application/json
Schema: CreateProjectRequest
Responses
- 201 — Created
application/json→ ProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/projects/admin/{project_id}/promote-to-team
promote_project_to_team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: PromoteProjectToTeamBody
Responses
- 200 — OK
application/json→ ProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/projects/{project_id}
delete_project
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ DeleteProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/projects/{project_id}
get_project
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/projects/{project_id}
update_project
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateProjectRequest
Responses
- 200 — OK
application/json→ ProjectResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/projects/{project_id}/conversations
get_project_conversations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationsListResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/projects/{project_id}/conversations/{conversation_id}
remove_conversation_from_project
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/projects/{project_id}/conversations/{conversation_id}
add_conversation_to_project
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ ConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError